[server]
  host = "0.0.0.0"
  port = 8000
  gqlPath = "/graphql"
  [server.session]
    secret = "<redacted>"
    # Frontend webapp URL origin
    appOriginUrl = "https://deploy.apps.vaasl.io"
    # Set to true if server running behind proxy
    trustProxy = true
    # Backend URL hostname
    domain = "deploy-backend.apps.vaasl.io"

[database]
  dbPath = "/data/db/deploy-backend"

[gitHub]
  webhookUrl = "https://deploy-backend.apps.vaasl.io"
  [gitHub.oAuth]
    clientId = "<redacted>"
    clientSecret = "<redacted>"

[registryConfig]
  fetchDeploymentRecordDelay = 5000
  checkAuctionStatusDelay = 5000
  restEndpoint = "https://laconicd-sapo.laconic.com"
  gqlEndpoint = "https://laconicd-sapo.laconic.com/api"
  chainId = "laconic-testnet-2"
  privateKey = "<redacted>"
  bondId = "<redacted>"
  authority = "vaasl"
  [registryConfig.fee]
    gasPrice = "0.001alnt"

[auction]
  commitFee = "1000"
  commitsDuration = "60s"
  revealFee = "1000"
  revealsDuration = "60s"
  denom = "alnt"
